glab(1)

NAME
glab-runner-delete - Delete a GitLab CI/CD runner.

SYNOPSIS
glab runner delete [flags]

DESCRIPTION
Permanently deletes a runner from the GitLab instance. Uses your access token.

Required access:

•   Maintainer or Owner for project runners.

•   Owner for group runners.

•   Administrator for instance runners.

OPTIONS
-f, --force[=false]
    Skip confirmation prompt.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. Can use either OWNER/REPO or GROUP/NAMESPACE/REPO format. Also accepts full URL or Git URL.

EXAMPLE
    # Delete a runner (confirmation when interactive)
    $ glab runner delete 6
    # Skip confirmation prompt
    $ glab runner delete 6 --force

SEE ALSO
glab-runner(1)